Neo4J 踩坑记录

本文记录安装使用Neo4J过程中的踩过的一些坑

一,下载软件

官网的下载非常非常慢,建议 从国内下载地址,另外还有个中文学习网站

在这里插入图片描述

在这里插入图片描述

二,安装

如果不注意很容易选择最新版本的Neo4j(4.x),安装启动时候才发现,报错信息:

警告: ERROR! Neo4j cannot be started using java version 1.8.0_271
警告: * Please use Oracle(R) Java(TM) 11, OpenJDK(TM) 11 to run Neo4j Server.
* Please see https://neo4j.com/docs/ for Neo4j installation instructions.

太坑太坑。最终建议下载3.5.x Neo4j
在这里插入图片描述
Neo4j和JDK的对应关系在官网文章installation/requirements/下,例如 https://neo4j.com/docs/operations-manual/3.5/installation/requirements/

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 酷酷鲨 设计师:CSDN官方博客 返回首页